%global commit 94010771719ca39f09d711427b41fde4fea37a68

Name:           onionshare
Version:        0.7.1
Release:        1%{?dist}
Summary:        Securely and anonymously share files of any size

License:        GPLv3
URL:            https://onionshare.org/
Source0:        https://github.com/micahflee/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel desktop-file-utils
Requires:       python2 python-flask python-stem pyqt4

%description
OnionShare lets you securely and anonymously share files of any size. It works
by starting a web server, making it accessible as a Tor hidden service, and
generating an unguessable URL to access and download files. It doesn't require
setting up a server on the internet somewhere or using a third party
file sharing service. You host files on your own computer and use a Tor
hidden service to make it temporarily accessible over the internet. The other
user just needs to use Tor Browser to download a file from you.


%prep
%setup -q -n %{name}-%{commit}
sed -i '/^Encoding/ d' install/%{name}.desktop


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%doc LICENSE README.md
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/*
%{_datadir}/applications/*
%{_bindir}/%{name}
%{_bindir}/%{name}-gui
%{python2_sitelib}/%{name}/*
%{python2_sitelib}/%{name}_gui/*
%{python2_sitelib}/%{name}-%{version}-py2.7.egg-info


%changelog
* Mon Aug 31 2015 pjp <robyduck@fedoraproject.org> - 0.7.1-1
- Upstream release v0.7.1-1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct 14 2014 pjp <pjp@fedoraproject.org> - 0.6-5
- Fixed spec file as per review BZ#1151747#c8,9.

* Mon Oct 13 2014 pjp <pjp@fedoraproject.org> - 0.6-4
- Fixed this spec file as per review BZ#1151747#c6.

* Sun Oct 12 2014 pjp <pjp@fedoraproject.org> - 0.6-3
- Fixed Source0 definition as per review BZ#1151747#c4.

* Sat Oct 11 2014 pjp <pjp@fedoraproject.org> - 0.6-2
- Fixed oname and Source0 definition as per review BZ#1151747#c2.

* Sat Oct 11 2014 pjp <pjp@fedoraproject.org> - 0.6-1
- Initial release onionshare v0.6.
